# ListWebhookSubscriptions

List all subscriptions

`GET /webhooks/subscriptions`

**API:** Avalara E-Invoicing API
**Tag:** Subscriptions
**API Version:** 1.5
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.5/methods/Subscriptions/ListWebhookSubscriptions/

## Description

Retrieve a list of webhook subscriptions.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a list of webhook subscriptions in a SubscriptionListResponse object. | `SubscriptionListResponse` |
| 401 | Unauthorized. | `WebhooksErrorResponse` |
| 403 | Forbidden. | `WebhooksErrorResponse` |
| 500 | Internal server error. | `WebhooksErrorResponse` |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/webhooks/subscriptions" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```